#!/bin/bash
#获取git 最后一个 tag 的描述！！！！
#LatestTag=$(git describe --tags `git rev-list --tags --max-count=1`)

#install_dir="流延测厚仪安装包_"$LatestTag
install_dir="流延测厚仪安装包"

if [ -e $install_dir ]; then
	rm -rf $install_dir
fi
#复制 install 到 测厚仪安装包
cp -rf install $install_dir

install_dir=$install_dir"/佛山市枫莱尔自动化技术有限公司/windows"

copy_to()
{
    src_dir=$1
    dest_dir=$2
    files=$3

	#检测文件夹是否存在
	#存在，删除全部数据，再新创建；
	#不存在，创建。
	if [ -e $dest_dir ]; then
        rm -rf $dest_dir
    fi

	mkdir -p $dest_dir
	
	echo 复制 $dest_dir

	for f in ${files[*]}; do
		file_path=$src_dir"/"$f
		cp -rf $file_path $dest_dir
		if [ $? != 0 ]; then
			echo 复制失败
			exit 1
		fi
	done
}

copy_to2()
{
    src_dir=$1
	dest_dir=$2
    files=$3

    src_dir=$src_dir"/bin/Debug" 
	dest_dir=$install_dir"/"$dest_dir
    copy_to $src_dir $dest_dir $files
}

src_dir="../Project.FLY.Thick.FilmCasting/FLY.Thick.FilmCasting.UI.Client"
dest_dir="FLY.Thick.FilmCasting.UI.Client"
files=(\
	"FLY.Thick.FilmCasting.UI.Client.exe" \
	"default" "unity" "layout" "music" \
	"nlog.config" \
	)
copy_to2 $src_dir $dest_dir $files


src_dir="../Project.FLY.Thick.FilmCasting/FLY.Thick.FilmCasting.UI.Server" 
dest_dir="FLY.Thick.FilmCasting.UI.Server" 
files=(\
	"FLY.Thick.FilmCasting.UI.Server.exe" \
	"Gage1" "x64" "x86" \
	"nlog.config" \
	)
copy_to2 $src_dir $dest_dir $files

echo 完成